JBoss API: Class DeployerMBeanSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class DeployerMBeanSupport

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.deployment.DeployerMBeanSupport

All Implemented Interfaces:
  DeployerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public abstract class DeployerMBeanSupport
extends ServiceMBeanSupport
implements DeployerMBean

Version:
  $Revision: 1.1.6.2 $
Author:
  Toby Allsopp (toby.allsopp@peace.com)

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`DeployerMBeanSupport()`

Method Summary
`void` | `deploy(java.lang.String url)`
`protected abstract java.lang.Object` | `deploy(java.net.URL url)` Subclasses override to perform actual deployment.
`protected java.util.Map` | `getDeployments()` Returns the deployments that have been deployed by this deployer.
`protected java.lang.Object` | `getInfo(java.net.URL url)` Retrieves the object associated with a deployment.
`boolean` | `isDeployed(java.lang.String url)`
`void` | `undeploy(java.lang.String url)`
`protected abstract void` | `undeploy(java.net.URL url, java.lang.Object info)` Subclasses override to perform any actions neccessary for undeployment.

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getName, getObjectName, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.deployment.DeployerMBean
`getDeployableFilter`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### DeployerMBeanSupport

    public DeployerMBeanSupport()

Method Detail

### deploy

    public void deploy(java.lang.String url)
                throws java.net.MalformedURLException,
                       java.io.IOException,
                       DeploymentException

  Specified by:
    `deploy` in interface `DeployerMBean`

### undeploy

    public void undeploy(java.lang.String url)
                  throws java.net.MalformedURLException,
                         java.io.IOException,
                         DeploymentException

  Specified by:
    `undeploy` in interface `DeployerMBean`

### isDeployed

    public boolean isDeployed(java.lang.String url)
                       throws java.net.MalformedURLException,
                              DeploymentException

  Specified by:
    `isDeployed` in interface `DeployerMBean`

### getInfo

    protected java.lang.Object getInfo(java.net.URL url)

  Retrieves the object associated with a deployment. This association is made during deployment using the object returned from `deploy(URL)`. If there is no such deployment, null is returned. Note that this is distinguishable from the case of a deployment with an null information object only using `isDeployed(URL)`.
  Parameters:
    `url` - the deployment for which information is required
  Returns:
    an object, possibly null

### getDeployments

    protected java.util.Map getDeployments()

  Returns the deployments that have been deployed by this deployer. The `Map` returned from this method is a snapshot of the deployments at the time the method is called and will not reflect any subsequent deployments or undeployments.
  Returns:
    a mapping from `URL` to `DeploymentInfo`

### deploy

    protected abstract java.lang.Object deploy(java.net.URL url)
                                        throws java.io.IOException,
                                               DeploymentException

  Subclasses override to perform actual deployment.
  Parameters:
    `url` - the location to be deployed
  Returns:
    an object, possibly null, that will be passed back to `undeploy` and can be obtained using `getInfo(URL)`

### undeploy

    protected abstract void undeploy(java.net.URL url,
                                     java.lang.Object info)
                              throws java.io.IOException,
                                     DeploymentException

  Subclasses override to perform any actions neccessary for undeployment.
  Parameters:
    `url` - the location to be undeployed
    `info` - the object that was returned by the corresponding `deploy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.